from Products.CMFCore import permissions
from Products.CMFCore.CMFCorePermissions import setDefaultRoles
# EditableDescription Permissions

# Add a EditableDescription
AddEditableDescriptionPermission = 'EditableDescription: Add EditableDescription'

# Edit/Delete a EditableDescription
EditEditableDescriptionPermission = 'EditableDescription: Edit EditableDescription'

# View a EditableDescription
ViewEditableDescriptionPermission = 'EditableDescription: View EditableDescription'

# Edit the Description only of an EditableDescription
EditEditableDescriptionOnlyPermission = 'EditableDescription: Edit Description Only for EditableDescription'


# Setup default permission roles

setDefaultRoles(AddEditableDescriptionPermission,('Manager'))
setDefaultRoles(EditEditableDescriptionPermission,('Manager'))
setDefaultRoles(ViewEditableDescriptionPermission,('Anonymous', 'Authenticated', 'Member', 'Manager', 'Owner'))
setDefaultRoles(EditEditableDescriptionOnlyPermission,('Manager', 'Member', 'Authenticated'))