######################################################################
#
# Extension Rename - Hook into Archetypes to enforce extension usage.
# Copyright(C), 2005, Enfold Systems, Inc. - ALL RIGHTS RESERVED
#
# This software is licensed under the Terms and Conditions contained
# within the LICENSE.txt file that accompanied this software.  Any
# inquiries concerning the scope or enforceability of the license should
# be addressed to:
#
# Enfold Systems, Inc.
# 4617 Montrose Blvd., Suite C215
# Houston, Texas 77006 USA
# p. +1 713.942.2377 | f. +1 832.201.8856
# www.enfoldsystems.com
# info@enfoldsystems.com
#
######################################################################
"""
$Id: config.py 5635 2006-07-03 15:44:24Z sidnei $
"""

from zLOG import LOG, INFO, ERROR

PROJECTNAME = 'ExtensionRename'

def log(msg, **kw):
    LOG(PROJECTNAME, kw.get('level', INFO), msg)

def log_exc(msg=None, *args, **kwargs):
    # Logging package doesn't like (None, None, None)!
    error = sys.exc_info()
    if error[0] is None: error = None
    LOG(PROJECTNAME, kwargs.get('level', ERROR),
        msg, error=error,
        reraise=kwargs.get('reraise', None))
