##############################################################################
#
# Lime - Link Marshaller
# Copyright(C), 2004-5, Enfold Systems, Inc. - ALL RIGHTS RESERVED
#
# Enfold Systems, Inc.
# 4617 Montrose Blvd., Suite C215
# Houston, Texas 77006 USA
# p. +1 713.942.2377 | f. +1 832.201.8856
# www.enfoldsystems.com
# info@enfoldsystems.com
#
##############################################################################
"""
$Id: __init__.py 5635 2006-07-03 15:44:24Z sidnei $
"""

from Products.Lime.marshaller import URLMarshaller
from Products.Lime.marshaller import DesktopMarshaller

# If Marshall is available, register the marshallers.
try:
    from Products.Marshall.registry import registerComponent
    registerComponent('internet_shortcut', 'Windows Internet Shortcut',
                      URLMarshaller)
    registerComponent('desktop_link', 'freedesktop.org `.desktop` Link',
                      DesktopMarshaller)
except ImportError:
    pass
