from Products.CMFCore import permissions
from Products.CMFCore.permissions import setDefaultRoles

# Meeting Registration Permissions

# Add a Meeting Registration
ADD_CONTENTS_PERMISSION = 'MeetingRegistration: Add MeetingRegistration'

# Edit/Delete a Meeting Registration
EDIT_CONTENTS_PERMISSION = 'MeetingRegistration: Edit MeetingRegistration'

# View a Meeting Registration
VIEW_CONTENTS_PERMISSION = 'MeetingRegistration: View MeetingRegistration'


# Setup default permission roles

setDefaultRoles(ADD_CONTENTS_PERMISSION,
                ('Manager', 'Owner'))
                
setDefaultRoles(EDIT_CONTENTS_PERMISSION,
                ('Manager', 'Owner'))

setDefaultRoles(VIEW_CONTENTS_PERMISSION,
                ('Anonymous', 'Authenticated', 'Member', 'Manager', 'Owner'))