##############################################################################
#
# Lime - Link Marshaller
# Copyright(C), 2004-5, Enfold Systems, Inc. - ALL RIGHTS RESERVED
#
# Enfold Systems, Inc.
# 4617 Montrose Blvd., Suite C215
# Houston, Texas 77006 USA
# p. +1 713.942.2377 | f. +1 832.201.8856
# www.enfoldsystems.com
# info@enfoldsystems.com
#
##############################################################################
"""
$Id: utils.py 5635 2006-07-03 15:44:24Z sidnei $
"""

from Products.CMFCore.utils import getToolByName
from Products.Archetypes.ArchetypeTool import FactoryTypeInformation
from Products.Archetypes.ArchetypeTool import fixActionsForType, getType

# Mostly copied from ArchetypeTool.manage_installType
def installType(self, typeName, package, portal_type=None,
                ignore_actions=False):
    typesTool = getToolByName(self, 'portal_types')

    typeinfo_name="%s: %s" % (package, typeName)
    typeDesc = getType(typeName, package)
    if not portal_type:
        portal_type = typeDesc['portal_type']

    try:
        typesTool._delObject(portal_type)
    except:
        pass

    typesTool.manage_addTypeInformation(
        FactoryTypeInformation.meta_type,
        id=portal_type,
        typeinfo_name=typeinfo_name)
    t = getattr(typesTool, typeName, None)
    if t:
        t.title = getattr(typeDesc['klass'], 'archetype_name',
                          portal_type)

    if not ignore_actions:
        # and update the actions as needed
        fixActionsForType(typeDesc['klass'], typesTool)
