## Script (Python) "editToolProperties"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=available_objects, slot_title, root_object_url, show_all_objects=0
##title=
# This python script modify the property "available_objects" of the "portal_plone_navigation" tool

redirect = context.REQUEST.RESPONSE.redirect

member = context.portal_membership.getAuthenticatedMember()
if not member.has_role('Manager'):
    redirect(context.login_form.absolute_url())
    return

navtool = getattr(context, 'portal_plone_navigation')
navtool.editProperties(available_objects=available_objects,
                       slot_title=slot_title,
                       show_all_objects=show_all_objects,
                       root_object_url=root_object_url)

message = 'portal_status_message=Your%20changes%20has%20been%20saved'
     
redirect(context.prefs_manage_navigation.absolute_url() + '?%s' % message)
return
